## fetchmail 5.3.3

=== intl/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for directory with message catalog handling in GNU NLS Utilities.
# Copyright (C) 1995, 1996, 1997 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

PACKAGE = fetchmail
VERSION = 5.3.3

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..

prefix = /usr/local
exec_prefix = ${prefix}
transform = s,x,x,
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = ${prefix}/share/gettext/intl
aliaspath = $(localedir):.
subdir = intl

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ./mkinstalldirs

l = 

AR = ar
CC = gcc
LIBTOOL = @LIBTOOL@
RANLIB = ranlib

DEFS = -DLOCALEDIR=\"$(localedir)\" -DGNULOCALEDIR=\"$(gnulocaledir)\" \
-DLOCALE_ALIAS_PATH=\"$(aliaspath)\" -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -O
LDFLAGS = -s

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = $(COMHDRS) libgettext.h loadinfo.h
COMHDRS = gettext.h gettextP.h hash-string.h
SOURCES = $(COMSRCS) intl-compat.c cat-compat.c
COMSRCS = bindtextdom.c dcgettext.c dgettext.c gettext.c \
finddomain.c loadmsgcat.c localealias.c textdomain.c l10nflist.c \
explodename.c
OBJECTS =  bindtextdom.$lo dcgettext.$lo dgettext.$lo gettext.$lo \
finddomain.$lo loadmsgcat.$lo localealias.$lo textdomain.$lo l10nflist.$lo \
explodename.$lo
CATOBJS = cat-compat.$lo ../po/cat-id-tbl.$lo
GETTOBJS = intl-compat.$lo
DISTFILES.common = ChangeLog Makefile.in linux-msg.sed po2tbl.sed.in \
xopen-msg.sed $(HEADERS) $(SOURCES)
DISTFILES.normal = VERSION
DISTFILES.gettext = libintl.glibc intlh.inst.in

.SUFFIXES:
.SUFFIXES: .c .o .lo
.c.o:
	$(COMPILE) $<
.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) $<

INCLUDES = -I.. -I. -I$(top_srcdir)/intl -I$(top_srcdir)/lib

all: all-no

all-yes: libintl.$la intlh.inst
all-no:

libintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $(OBJECTS) \
		   -version-info 1:0 -rpath $(libdir)

../po/cat-id-tbl.$lo: ../po/cat-id-tbl.c $(top_srcdir)/po/$(PACKAGE).pot
	cd ../po && $(MAKE) cat-id-tbl.$lo

check: all

# This installation goal is only used in GNU gettext.  Packages which
# only use the library should use install instead.

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the gettext() function in its C library or in a
# separate library or use the catgets interface.  A special case is
# where configure found a previously installed GNU gettext library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all
	if test "$(PACKAGE)" = "gettext" \
	   && test '' = '$(GETTOBJS)'; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(libdir) $(includedir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(libdir) $(includedir); \
	  fi; \
	  $(INSTALL_DATA) intlh.inst $(includedir)/libintl.h; \
	  $(INSTALL_DATA) libintl.a $(libdir)/libintl.a; \
	else \
	  : ; \
	fi
install-data: all
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) VERSION $(gettextsrcdir)/VERSION; \
	  dists="$(DISTFILES.common)"; \
	  for file in $$dists; do \
	    $(INSTALL_DATA) $(srcdir)/$$file $(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	dists="$(DISTFILES.common)"; \
	for file in $$dists; do \
	  rm -f $(gettextsrcdir)/$$file; \
	done

info dvi:

$(OBJECTS): ../config.h libgettext.h
bindtextdom.$lo finddomain.$lo loadmsgcat.$lo: gettextP.h gettext.h loadinfo.h
dcgettext.$lo: gettextP.h gettext.h hash-string.h loadinfo.h

tags: TAGS

TAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && etags -o $$here/TAGS $(HEADERS) $(SOURCES)

id: ID

ID: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && mkid -f$$here/ID $(HEADERS) $(SOURCES)


mostlyclean:
	rm -f *.a *.o *.lo core core.*

clean: mostlyclean

distclean: clean
	rm -f Makefile ID TAGS po2msg.sed po2tbl.sed

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# GNU gettext needs not contain the file `VERSION' but contains some
# other files which should not be distributed in other packages.
distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: Makefile $(DISTFILES)
	if test "$(PACKAGE)" = gettext; then \
	  additional="$(DISTFILES.gettext)"; \
	else \
	  additional="$(DISTFILES.normal)"; \
	fi; \
	for file in $(DISTFILES.common) $$additional; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

dist-libc:
	tar zcvf intl-glibc.tar.gz $(COMSRCS) $(COMHDRS) libintl.h.glibc

Makefile: Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# The dependency for intlh.inst is different in gettext and all other
# packages.  Because we cannot you GNU make features we have to solve
# the problem while rewriting Makefile.in.
#YES#intlh.inst: intlh.inst.in ../config.status
#YES#	cd .. \
#YES#	&& CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= \
#YES#	  $(SHELL) ./config.status
.PHONY: intlh.inst
intlh.inst:

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== po/Makefile ===
# Generated automatically from Makefile.in.in by configure.
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = fetchmail
VERSION = 5.3.3

SHELL = /bin/sh


srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = 
GMSGFMT = PATH=../src:$$PATH 
MSGFMT = 
XGETTEXT = PATH=../src:$$PATH 
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -O
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  cs.po es.po fr.po pl.po pt_BR.po
GMOFILES =  cs.gmo es.gmo fr.gmo pl.gmo pt_BR.gmo
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \
	../checkalias.c \
	../driver.c \
	../env.c \
	../error.c \
	../etrn.c \
	../fetchmail.c \
	../getpass.c \
	../imap.c \
	../interface.c \
	../netrc.c \
	../options.c \
	../pop3.c \
	../rpa.c \
	../sink.c \
	../socket.c \
	../xmalloc.c

CATALOGS = 
CATOBJEXT = 
INSTOBJEXT = 

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-no

all-yes: cat-id-tbl.c $(CATALOGS)
all-no:

$(srcdir)/$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(PACKAGE).po \
	   || ( rm -f $(srcdir)/$(PACKAGE).pot \
		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f ../intl/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-data: install-data-no
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	PATH=`pwd`/../src:$$PATH; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' -e '/^[ 	]*$$/d' \
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in \
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## fetchmail 6.3.17

=== debian/changelog ===
fetchmail (6.3.17-4ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #609634)
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 25 Jul 2010 03:17:28 +0200

fetchmail (6.3.17-4) unstable; urgency=low

  * Removed update-rc.d fetchmail remove (Closes: #587902, #587855).

 -- Hector Garcia <hector@debian.org>  Fri, 02 Jul 2010 15:02:10 +0200

fetchmail (6.3.17-3) unstable; urgency=low

  * Removed stop on level 1. (Closes: #587367).
  * Included doc-base information about the .html files in docs.
  * Changed Conflicts for Breaks.
  * Bumped standards-version to 3.9.0
  * Cleaned Makefile after configure to prevent unnecesary linking against
    libcrypt and libk5crypto.

 -- Hector Garcia <hector@debian.org>  Wed, 30 Jun 2010 12:41:12 +0200

fetchmail (6.3.17-2) unstable; urgency=low

  [Nico Golde]
  * Add Should-Start and Should-Stop facilities to the init script
    in order to make sure fetchmail is started after a local DNS
    server and/or MTA if present. Thanks to Jan Braun and Petter
    Reinholdtsen (Closes: #582475).
  * Add 03_spurious-ssl-cert-warning.patch to prevent fetchmail complaining
    about an insecure ssl connection even if a fingerprint that has been
    obtained through a secure channel is configured (Closes: #580796).

  [Hector Garcia]
  * Changed suggest of exim4 to default-mta (Closes: #586864, #586865).
  * Not explicitly stop daemon on runlevel 0 and 6 (Closes: #498427).
  * Make it compile against python2.6. Thanks to Steve Langasek
    (Closes: #586866, #586867).
  * Updated man page patch to include more minus escaped form.

 -- Nico Golde <nion@debian.org>  Thu, 24 Jun 2010 13:52:43 +0200

fetchmail (6.3.17-1) unstable; urgency=low

  * New upstream release.
    - Drop fetchmail-SA-2010-02.patch, included upstream, this
      patch also introduced a regression that was fixed with this
      release as well.
  * Add status option to init script and incorporate changes
    by Peter Eisentraut, thanks! (Closes: #527967).
    - Bump lsb depedency to 3.2-13.

 -- Nico Golde <nion@debian.org>  Fri, 07 May 2010 19:20:00 +0200

fetchmail (6.3.16-2) unstable; urgency=medium

  * Add fetchmail-SA-2010-02.patch fixing a possible DoS on invalid
    multibyte sequences in message headers when used with -vv.

 -- Nico Golde <nion@debian.org>  Mon, 19 Apr 2010 14:40:41 +0200

fetchmail (6.3.16-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Suggest default-mta | mail-transport-agent, not
      exim4 | mail-transport-agent.
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.
  * Dropped changes:
    - don't depend on sysv-rc (>= 2.86.ds1-14.1ubuntu2); the 'multiuser'
      argument to update-rc.d is deprecated.
    - 06_cert_0_byte.patch: included upstream.
    - python2.6 compatibility: fix included in Debian.
  * debian/rules, debian/fetchmailconf.install: fix up python2.6 compatibility
    by accounting for site-packages vs. dist-packages across python versions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jun 2010 23:12:15 +0000

fetchmail (6.3.16-1) unstable; urgency=low

  * New upstream release.
    - Load all SSL ciphers (Closes: #576430).
    - Fix regression when using --interface (Closes: #576717).

 -- Nico Golde <nion@debian.org>  Thu, 08 Apr 2010 20:03:55 +0200

fetchmail (6.3.15-1) unstable; urgency=low

  * New upstream release.
    - Log an unexpected BYE from the server when using imap
      (Closes: #140631, #215688).
  * Removing Hectors NEWS entry as it was a plain copy of the changelog
    (Closes: #569207).
  * Remove 03_sdump_heap_overflow.patch, included upstream.
  * Switch to 3.0 (quilt) source format.
  * Fix incorrect version number in NEWS file: 6.3.6.rc3-1 -> 6.3.6~rc3-1.

 -- Nico Golde <nion@debian.org>  Sat, 03 Apr 2010 19:57:08 +0200

fetchmail (6.3.13-2) unstable; urgency=medium

  * Add 03_sdump_heap_overflow.patch to fix heap overflow in verbose SSL
    certificate information display (fetchmail-SA-2010-01).
  * Some fixed issues for 6.3.13:
    - Russion translation for flushed fixed (Closes: #531925).
    - Fetchmail no longer drops permanently undelivered messages by
      default, to match historic documentation. It does so by introducing
      a new softbounce option (Closes: #471283).
    - Report multiline SMTP errors properly (Closes: #529899).
  * Also do not complain about /etc/fetchmailrc on calling the init
    script with stop (Closes: #546841).

 -- Nico Golde <nion@debian.org>  Thu, 04 Feb 2010 13:02:29 +0100

fetchmail (6.3.13-1) unstable; urgency=low

  * New upstream version.
  * Removed 02_nooverlapping_snprintf.patch no longer needed.
  * Removed 03_smb_assert.patch no longer needed.
  * Removed 04_fix_fetchsetup_bashism.patch no longer needed.
  * Removed 05_fetchlimit_exist_status.patch no longer needed.
  * Removed 06_cert_0_byte.patch no longer needed.
  * Bump to policy version 3.8.4
  * Added README.source explaining that this package uses quilt.
  * Added 02_man_page.patch to fix 2 man page minor bugs.
  * Added ${misc:Depends} on control for both binaries.  

 -- Hector Garcia <hector@debian.org>  Mon, 01 Feb 2010 16:45:58 +0100

fetchmail (6.3.9~rc2-8) unstable; urgency=low

  * Do not complain about missing config file when daemon shouldn't
    start at all (Closes: #540533).
  * Depend on $syslog in init script (Closes: #541394).

 -- Nico Golde <nion@debian.org>  Thu, 13 Aug 2009 23:14:16 +0200

fetchmail (6.3.9~rc2-7) unstable; urgency=low

  * Fix inconsistencies in init script.


=== debian/control ===
Source: fetchmail
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
XS-Python-Version: current
Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
Standards-Version: 3.9.0
Homepage: http://www.fetchmail.info
Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/

Package: fetchmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.7), adduser (>= 3.34), lsb-base (>= 3.2-13)
Breaks: logcheck (<< 1.1.1-9), fetchmail-ssl (<= 6.2.5-12)
Conflicts: fetchmail-common
Replaces: fetchmail-common, fetchmail-ssl
Provides: fetchmail-ssl
Suggests: fetchmailconf, default-mta | mail-transport-agent, resolvconf
Recommends: ca-certificates
Description: SSL enabled POP3, APOP, IMAP mail gatherer/forwarder
 fetchmail is a free, full-featured, robust, and well-documented remote mail
 retrieval and forwarding utility intended to be used over on-demand TCP/IP
 links (such as SLIP or PPP connections).  It retrieves mail from remote mail
 servers and forwards it to your local (client) machine's delivery system, so
 it can then be read by normal mail user agents such as mutt, elm, pine,
 (x)emacs/gnus, or mailx.  The fetchmailconf package includes an interactive
 GUI configurator suitable for end-users.
 .
 Kerberos V and GSSAPI are supported.
 .
 Kerberos IV,  RPA, OPIE and other support for some other features are
 available if the package is recompiled.

Package: fetchmailconf
Architecture: all
Depends: fetchmail (>= ${source:Version}), ${misc:Depends}, python-tk, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: fetchmail configurator
 A GUI wrapper to configure fetchmail's .fetchmailrc, suitable for
 end-users.  See fetchmail package for more information.

## fetchmail 6.3.18

=== debian/changelog ===
fetchmail (6.3.18-2ubuntu1) natty; urgency=low

  * Merge from Debian unstable.  Remaining changes: (LP: #685065)
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.
    - This upload fixes bug with wrong path. (LP: #669066, Closes: #603861)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 04 Dec 2010 03:07:12 +0100

fetchmail (6.3.18-2) unstable; urgency=low

  * Fix python module path for fetchmailconf (Closes: #603861).

 -- Nico Golde <nion@debian.org>  Wed, 01 Dec 2010 23:20:37 +0100

fetchmail (6.3.18-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #665555)
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 24 Oct 2010 23:45:53 +0200

fetchmail (6.3.18-1) unstable; urgency=medium

  * New upstream release.
    - Remove 03_spurious-ssl-cert-warning.patch, included upstream.
    - Cancel GSSAPI authentication properly when encountering GSS
      errors (Closes: #568455, #593694).
    - Don't complain about READ-ONLY IMAP folders in --fetchall --keep
      mode (Closes: #348995).
  * Bump standards version, no changes needed.

 -- Nico Golde <nion@debian.org>  Mon, 11 Oct 2010 23:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
 XS-Python-Version: current
 Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/

=== debian/rules ===
#!/usr/bin/make -f
#
# $Id: rules 504 2010-02-02 11:40:24Z hector $
#
# Originally by Henrique M. Holschuh <hmh@debian.org>, and based on
# previous work by Paul Haggard <phaggart@debian.org>, and in a
# debmake-created rules file.
#
# Special package build-time options:
#   POP2, RPA, NTLM, SDPS, OPIE, KRB4, KRB5, GSSAPI
#   NOPOP3, NOIMAP, NOETRN, NOODMR, IPV6, IPV6SEC
#
# To use them, add the ones you need to the environment variable 
# DEB_FETCHMAIL_BUILD_OPTIONS before building the package.
#
# e.g.
# export DEB_FETCHMAIL_BUILD_OPTIONS="KRB4,NOIMAP,NOETRN,NOODMR" 
# dpkg-buildpackage -rfakeroot -uc -us
#
# If DEB_FETCHMAIL_BUILD_OPTIONS is undefined, SSl, NTLM and SDPS will
# be enabled by default.
#
# The targets KRB4, KRB5, GSSAPI and OPIE require the proper libraries 
# to be installed in the system.
#
# IPV6 and IPV6SEC support is untested, and breaks the 'interface'
# keyword (which is why they will not be enabled by default).

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
PYVER=$(shell pyversions -vd)

# quilt support
include /usr/share/quilt/quilt.make

# for autoconf 2.52 and newer only
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Defaults for official debian package
ifeq (,$(DEB_FETCHMAIL_BUILD_OPTIONS))
	DEB_FETCHMAIL_BUILD_OPTIONS="SSL,NTLM,SDPS,KRB5,GSSAPI"
endif

# Process build-time options
FETCHCONFOPT =
ifneq (,$(findstring SSL,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --with-ssl=/usr
endif
ifneq (,$(findstring POP2,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --enable-POP2
endif
ifneq (,$(findstring RPA,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --enable-RPA
endif
ifneq (,$(findstring NTLM,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --enable-NTLM
endif
ifneq (,$(findstring SDPS,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --enable-SDPS
endif
ifneq (,$(findstring OPIE,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --enable-opie
endif
ifneq (,$(findstring KRB4,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --with-kerberos=/usr
endif
ifneq (,$(findstring KRB5,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --with-kerberos5
endif
ifneq (,$(findstring GSSAPI,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --with-gssapi=/usr
endif
ifneq (,$(findstring NOPOP3,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --disable-POP3
endif
ifneq (,$(findstring NOIMAP,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --disable-IMAP
endif
ifneq (,$(findstring NOETRN,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --disable-ETRN
endif
ifneq (,$(findstring NOODMR,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --disable-ODMR
endif
ifneq (,$(findstring IPV6,$(DEB_FETCHMAIL_BUILD_OPTIONS)))
	FETCHCONFOPT += --enable-inet6
endif

# Turn off optimization if the user requests it.
CFLAGS = -Wall -pipe -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f po/*.gmo config.sub config.guess config.status
	dh_clean -X.orig -X.rej

configure: configure-stamp
configure-stamp: patch
	set -e
	dh_testdir

	cp /usr/share/misc/config.sub config.sub
	cp /usr/share/misc/config.guess config.guess

	./configure $(CONFFLAGS) --prefix=/usr --enable-nls \
		--disable-fallback $(FETCHCONFOPT)

	sed -e "s/-lcrypt//; s/-lk5crypto//g;"  < Makefile > Makefile.tmp
	mv Makefile.tmp Makefile

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	set -e
	dh_testdir

	$(MAKE)

	# recreate gmo-files as workaround
	(cd po; $(MAKE) update-gmo)
#	sed -e '/fetchmail-5.3.3/ { s/.*/=== file truncated, see source package for complete changelog ===/; q; }' < NEWS > NEWS.truncated
	
	touch build-stamp

tmpdir = $(CURDIR)/debian/tmp
pckdir = $(CURDIR)/debian/fetchmail

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep -X.orig -X.rej
	dh_installdirs
	$(MAKE) install prefix=$(tmpdir)/usr mandir=$(tmpdir)/usr/share/man
	-install -D -m 644 debian/fetchmailconf.xpm \
		$(tmpdir)/usr/share/pixmaps/fetchmailconf.xpm
	gzip -9 $(tmpdir)/usr/share/man/man1/fetchmail.1
#	not needed we set a symlink
#	gzip -9 $(tmpdir)/usr/share/man/man1/fetchmailconf.1
#	mkdir -p debian/fetchmailconf/usr/lib/python$(PYVER)/site-packages/
#	mv debian/tmp/usr/lib/python$(PYVER)/site-packages/fetchmailconf.py \
#	debian/fetchmailconf/usr/lib/python$(PYVER)/site-packages/

# Build architecture-independent files here. [ fetchmailconf ]
binary-indep: build-stamp install
	dh_testdir
	dh_testroot
	dh_install -i --sourcedir=$(tmpdir)
	dh_installdocs -i
	dh_installmenu -i
	dh_installman -i 
	dh_installchangelogs -i
	dh_link -i usr/share/man/man1/fetchmail.1.gz usr/share/man/man1/fetchmailconf.1.gz
	dh_pycentral -i
#	dh_python -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.  [ fetchmail ]
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	mkdir -p $(pckdir)/usr/share/doc/fetchmail/contrib
	xargs -r -i install "{}" $(pckdir)/usr/share/doc/fetchmail/contrib \
		< debian/contrib.files
	-install -m 644 debian/README.contrib \
		$(pckdir)/usr/share/doc/fetchmail/contrib/README.Debian
	install -D -m 755 debian/ip-up $(pckdir)/etc/ppp/ip-up.d/fetchmail
	install -D -m 755 debian/ip-down $(pckdir)/etc/ppp/ip-down.d/fetchmail
	install -D -m 755 debian/resolvconf \
		$(pckdir)/etc/resolvconf/update-libc.d/fetchmail
	install -D -m 644 debian/workstation \
		$(pckdir)/etc/logcheck/ignore.d.workstation/fetchmail
	install -D -m 644 debian/server \
		$(pckdir)/etc/logcheck/ignore.d.server/fetchmail
	dh_install -a --sourcedir=$(tmpdir)
	dh_installdocs -a NOTES README fetchmail-features.html \
		design-notes.html todo.html fetchmail-FAQ.html README.SSL OLDNEWS
	dh_installexamples -a
	dh_installinit -a -n
	dh_installchangelogs -a NEWS
	dh_installman 
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fetchmail 6.3.19

=== debian/changelog ===
fetchmail (6.3.19-1~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.
  * Revert the dh_python2 changes since it's not in Lenny yet:
    - Add python-central back to the dependencies
    - Bump the minimum Python version back down to 2.3.5-11
    - Restore XB-Python-Version
    - Replace the dh_python2 call back with dh_pycentral

 -- Peter Pentchev <roam@ringlet.net>  Thu, 28 Apr 2011 16:30:41 +0300

fetchmail (6.3.19-1) unstable; urgency=low

  [Nico Golde]
  * New upstream release.
  * Bump standards version, no changes needed.
  * Converting from python-central to dh_python2 (Closes: #616806)
    - Removed python-central from dependencies
    - Bump minimum python version to 2.6.6-3~
    - Removed XB-Python-Version
    - Add dh_python2 call to binary-indep, remove dh_pycentral
  * Removed 02_man_page.patch, changes included upstream.
  * Add 02_fetchmail-kill-sslv2.patch (thanks Matthias!) to fix FTBFS
    due to openssl 1.0.0 dropping ssl v2 support (Closes: #622054).

  [Hector Garcia]
  * Removed the part from 01_fetchmailconf.patch where it touches
    Makefile.in file and removed 03_fetchmailconf_python2.6.patch.

 -- Nico Golde <nion@debian.org>  Wed, 13 Apr 2011 12:57:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fetchmail
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
+Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
 XS-Python-Version: current
 Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/

=== debian/rules ===
--- 
+++ 
@@ -166,7 +166,6 @@
 	dh_installchangelogs -i
 	dh_link -i usr/share/man/man1/fetchmail.1.gz usr/share/man/man1/fetchmailconf.1.gz
 	dh_pycentral -i
-#	dh_python -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## fetchmail 6.3.21

=== debian/changelog ===
fetchmail (6.3.21-2) unstable; urgency=low

  * Do not log server certificate message to stderr in verbose mode
    (Closes: #639807).
  * debian/control: Drop XS-Python-Version to allow dh_python2 to create
    symlinks to all supported python versions (Closes: #626100).
    patch was missing in previous upload.
  * Only awake fetchmail via resolvconf, if it is actually
    running (Closes: #612179).
    patch was broken in previous upload.

 -- Nico Golde <nion@debian.org>  Sun, 04 Sep 2011 16:00:50 +0200

fetchmail (6.3.21-1) unstable; urgency=low

  * New upstream release
    - Do not insert null byte into the last line of a message under
      certain circumstances in the IMAP client (Closes: #638773).
  * debian/control: Drop XS-Python-Version to allow dh_python2 to create
    symlinks to all supported python versions (Closes: #626100).
  * Only awake fetchmail via resolvconf, if it is actually
    running (Closes: #612179).
  * Adjust 02_fetchmail-kill-sslv2.patch, german po changes have been
    applied by upstream.
  * debian/control: extend long description for fetchmailconf.
  * debian/rules: introduce new build-arch/build-indep targets.

 -- Nico Golde <nion@debian.org>  Mon, 29 Aug 2011 19:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
-XS-Python-Version: current
-Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
+Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev
 Standards-Version: 3.9.2
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/
@@ -35,7 +34,7 @@
 Package: fetchmailconf
 Architecture: all
 Depends: fetchmail (>= ${source:Version}), ${misc:Depends}, python-tk, ${python:Depends}
-XB-Python-Version: ${python:Versions}
 Description: fetchmail configurator
  A GUI wrapper to configure fetchmail's .fetchmailrc, suitable for
- end-users.  See fetchmail package for more information.
+ end-users.  It assists end-users in setting up and editing fetchmail
+ configuration files.  See fetchmail package for more information.

=== debian/rules ===
--- 
+++ 
@@ -124,7 +124,10 @@
 
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: configure-stamp build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	set -e
 	dh_testdir
@@ -165,7 +168,7 @@
 	dh_installman -i 
 	dh_installchangelogs -i
 	dh_link -i usr/share/man/man1/fetchmail.1.gz usr/share/man/man1/fetchmailconf.1.gz
-	dh_pycentral -i
+	dh_python2 -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## fetchmail 6.3.22

=== debian/changelog ===
fetchmail (6.3.22-2) unstable; urgency=low

  * Fix memory leak in OpenSSL's certificate varification callback.
    Thanks Erik Thiele and Dominik! (Closes: #688015).
  * Fix combination of --plugin and -f - (Closes: #671294).

 -- Nico Golde <nion@debian.org>  Mon, 17 Dec 2012 13:04:01 +0100

fetchmail (6.3.22-1) unstable; urgency=low

  * New upstream release.
    - Fix minor DoS in NTLM message handling (CVE-2012-3482).
    - Clears SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS as a precaution
      against "BEAST" attacks (CVE-2011-3389).
  * Removed 03_ssl_cert_logging.patch, incorporated by upstream.
  * Removed 02_fetchmail-kill-sslv2.patch, incorporated by upstream.
  * Do not log disabled daemon message as warning (Closes: #672724).
  * Raise standards version, no changes required.
  * Add LSB description header to init script.

 -- Nico Golde <nion@debian.org>  Thu, 30 Aug 2012 15:46:27 +0200

fetchmail (6.3.21-4) unstable; urgency=low

  * Fix building with build-arch (Closes: #671026).

 -- Nico Golde <nion@debian.org>  Tue, 01 May 2012 18:56:24 +0200

fetchmail (6.3.21-3) unstable; urgency=low

  * Build with hardening compiler flags (Closes: #653538).
    - Add Build-Depends on dpkg-dev (>= 1.16.1~).
    - Use buildflags.mk snippet in debian/rules.
    - Make all hardening flags default for DEB_BUILD_MAINT_OPTIONS.
  * Use log_warning_msg rather than echo to inform user that the
    fetchmail daemon has been disabled.

 -- Nico Golde <nion@debian.org>  Thu, 29 Dec 2011 18:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
-Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/

## fetchmail 6.3.26

=== debian/changelog ===
fetchmail (6.3.26-1) unstable; urgency=low

  * New upstream release.
    - Fix mimedecode option dropping last message line in certain
      situations (Closes: #706045).
  * remove 03_fix_command_line_combination.patch and
    02_cert-verification-memleak.patch, included upstream.
  * Bump standards version, no changes required.
  * Change Vcs URI to canonical URI.
  * Explicitly add postfix to Should-Start for LSB init script
    (Closes: #631781).
  * Add proper Default-Stop entries to LSB init script header.
  * Simplify resolvconf script as resolvconf doesn't call scripts
    anymore with --nscd (Closes: #699425).

 -- Nico Golde <nion@debian.org>  Sat, 11 May 2013 12:23:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
 Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.fetchmail.info
-Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/
+Vcs-Svn: svn://anonscm.debian.org/pkg-fetchmail/
 
 Package: fetchmail
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -91,8 +91,12 @@
 	FETCHCONFOPT += --enable-inet6
 endif
 
-# Turn off optimization if the user requests it.
-CFLAGS = -Wall -pipe -g
+# enable hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -Wall -pipe
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
@@ -124,9 +128,9 @@
 
 	touch configure-stamp
 
-build: configure-stamp build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
+build: configure-stamp build-arch
+build-arch: configure-stamp build-stamp
+build-indep: configure-stamp build-stamp
 
 build-stamp:
 	set -e

=== debian/watch ===
version=3

opts=downloadurlmangle=s/prdownload/download/ \
http://developer.berlios.de/project/showfiles.php?group_id=1824 \
http://prdownload.berlios.de/fetchmail/fetchmail-(.*)\.tar\.bz2

## fetchmail 6.4.0~beta4

=== debian/changelog ===
fetchmail (6.4.0~beta4-3+deb10u1) buster; urgency=medium

  * Backport fix to no longer reports System error during SSL_connect():
    Success (closes: #928916).
  * Remove forced OpenSSL version check (closes: #980766).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 Jan 2021 11:13:50 +0100

fetchmail (6.4.0~beta4-3) unstable; urgency=medium

  * Backport fix potential SIGSEGV in pop3_delete (closes: #921450).
  * Backport native name verification for OpenSSL.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Feb 2019 16:33:00 +0000

fetchmail (6.4.0~beta4-2) unstable; urgency=medium

  * Upload to Sid.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Feb 2019 15:45:40 +0000

fetchmail (6.4.0~beta4-1) experimental; urgency=medium

  * New major upstream beta release:
    - improved TLS support (closes: #768843).
  * Update watch file.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency,
    - don't specify parallel to debhelper,
    - specify restart-after-upgrade to dh_installinit .
  * Update Standards-Version to 4.1.4 .

  [ Russell Coker <russell@coker.com.au> ]
  * Run restorecon after creating directory from init script (closes: #752598).

  [ Nicolas Boulenguez <nicolas@debian.org> ]
  * Packaging updates (closes: #895366):
    - rename d/init to d/fetchmail.init, as recommended by policy,
    - give standard formatting to header of 01_fetchmailconf.patch ,
    - remove obsolete debian/pycompat ,
    - fix typo in manpage,
    - delegate installation of ppp and logcheck scripts to debhelper,
    - delegate manpages from dh_install to more specialized
      dh_installmanpages ,
    - install contrib files and resolvconf directly without intermediate copy
      in debian/tmp ,
    - switch copyright to format 1.0 and add some missing licenses.
    - delegate buggy installation of README.contrib to debhelper,
    - per policy 4.0.0, use invoke-rc.d instead of calling /etc/init.d/*
      directly,
    - rules: drop paragraphe preparing unused variable CONFFLAGS ,
    - rules: simplify some variable affectations,
    - delegate build flags stuff to dpkg-buildflags .

  [ Kevin Ryde <user42_kevin@yahoo.com.au> ]
  * Let fetchmail-mode run hook after other settings (closes: #710319).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Jun 2018 15:52:22 +0000

fetchmail (6.3.26-3) unstable; urgency=low

  * Use short debhelper rules format.
  * Update packaging to fix FTBFS if building in parallel (closes: #828299).
  * Let debhelper handle invoke-rc.d and update-rc.d calls.
  * Add dh-autoreconf to build dependency.
  * Remove unneeded dpkg-dev build dependency.
  * Update Standards-Version to 3.9.8 and debhelper level to 9 .
  * Remove Nico Golde from uploaders per request.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Nov 2016 21:07:11 +0000

fetchmail (6.3.26-2) unstable; urgency=low

  * New maintainer (closes: #800750), keep Nico and Hector as uploaders.
  * Backport upstream fix for SSLv3 removal (closes: #804604) and do not
    recommend SSLv3 (closes: #801178).
  * Version OpenSSL build dependency for TLSv1.2 support.
  * Remove quilt from build depends and its usage.
  * Add dh-python to build depends.
  * Update upstream URLs.
  * Update watch file.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 03 Oct 2015 16:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fetchmail
 Section: mail
 Priority: optional
-Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
-Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
-Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), libssl-dev (>= 1.0.2), bison, python (>= 2.7), dh-python, libkrb5-dev, libgssglue-dev
+Standards-Version: 4.3.0
 Homepage: http://www.fetchmail.info
-Vcs-Svn: svn://anonscm.debian.org/pkg-fetchmail/
+#Vcs-Svn: svn://anonscm.debian.org/pkg-fetchmail/
 
 Package: fetchmail
 Architecture: any
@@ -34,6 +33,7 @@
 Package: fetchmailconf
 Architecture: all
 Depends: fetchmail (>= ${source:Version}), ${misc:Depends}, python-tk, ${python:Depends}
+XB-Python-Version: ${python:Versions}
 Description: fetchmail configurator
  A GUI wrapper to configure fetchmail's .fetchmailrc, suitable for
  end-users.  It assists end-users in setting up and editing fetchmail

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#
# $Id: rules 504 2010-02-02 11:40:24Z hector $
#
# Originally by Henrique M. Holschuh <hmh@debian.org>, and based on
# previous work by Paul Haggard <phaggart@debian.org>, and in a
# debmake-created rules file.
#
# Special package build-time options:
#   POP2, RPA, NTLM, SDPS, OPIE, KRB4, KRB5, GSSAPI
#   NOPOP3, NOIMAP, NOETRN, NOODMR, IPV6, IPV6SEC
#
# To use them, add the ones you need to the environment variable
# DEB_FETCHMAIL_BUILD_OPTIONS before building the package.
#
# e.g.
# export DEB_FETCHMAIL_BUILD_OPTIONS="KRB4,NOIMAP,NOETRN,NOODMR"
# dpkg-buildpackage -rfakeroot -uc -us
#
# If DEB_FETCHMAIL_BUILD_OPTIONS is undefined, SSl, NTLM and SDPS will
# be enabled by default.
#
# The targets KRB4, KRB5, GSSAPI and OPIE require the proper libraries
# to be installed in the system.
#
# IPV6 and IPV6SEC support is untested, and breaks the 'interface'
# keyword (which is why they will not be enabled by default).

# Defaults for official debian package
DEB_FETCHMAIL_BUILD_OPTIONS ?= "SSL,NTLM,SDPS,KRB5,GSSAPI"

# Process build-time options
translate_option = $(if $(findstring $1,$(DEB_FETCHMAIL_BUILD_OPTIONS)),$2)
FETCHCONFOPT := \
  $(call translate_option,SSL,    --with-ssl=/usr) \
  $(call translate_option,POP2,   --enable-POP2) \
  $(call translate_option,RPA,    --enable-RPA) \
  $(call translate_option,NTLM,   --enable-NTLM) \
  $(call translate_option,SDPS,   --enable-SDPS) \
  $(call translate_option,OPIE,   --enable-opie) \
  $(call translate_option,KRB4,   --with-kerberos=/usr) \
  $(call translate_option,KRB5,   --with-kerberos5) \
  $(call translate_option,GSSAPI, --with-gssapi=/usr) \
  $(call translate_option,NOPOP3, --disable-POP3) \
  $(call translate_option,NOIMAP, --disable-IMAP) \
  $(call translate_option,NOETRN, --disable-ETRN) \
  $(call translate_option,NOODMR, --disable-ODMR) \
  $(call translate_option,IPV6,   --enable-inet6)

# enable hardening
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
DEB_CFLAGS_MAINT_APPEND := -Wall -pipe
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- --enable-nls --disable-fallback $(FETCHCONFOPT)

override_dh_auto_install:
	dh_auto_install
	install -D -m 755 debian/resolvconf \
		debian/fetchmail/etc/resolvconf/update-libc.d/fetchmail

override_dh_installinit:
	dh_installinit --restart-after-upgrade

override_dh_auto_test:

%:
	dh $@ --with python2

.PHONY: override_dh_auto_configure override_dh_auto_install \
	override_dh_installinit	override_dh_auto_test

=== debian/watch ===
version=4
opts=uversionmangle=s/^SNAPSHOT[_-](\d+)[_-](\d+)[_-](\d+)[_-](.+)$/$1.$2.$3~$4/;s/^RELEASE[_-](\d+)[_-](\d+)[_-](\d+)$/$1.$2.$3/ \
https://gitlab.com/fetchmail/fetchmail/tags .*/tags/(.+)
